#ifndef GAME_DIALOG_H
#define GAME_DIALOG_H

#include <qdialog.h>
#include <qpixmap.h>
#include <qimage.h>


class QTimer;

class GameDialog : public QDialog
{ 
    Q_OBJECT

public:

    GameDialog( const QString &text,int ofx, int ofy,QImage *gradient,QPixmap *background,QWidget *parent=0,const char *name=0);


protected:
	virtual void paintEvent ( QPaintEvent * ) ; 
	virtual void mousePressEvent ( QMouseEvent * );
	virtual void keyPressEvent ( QKeyEvent * ); 
	
private slots:
	void timeSynch();



private:

	void blendImage(QImage& src1, QImage& dst, float opacity);


   enum STAGE
   {
	   UP,
	   WAIT,
	   DOWN
   };

	QImage lback;
	QImage fback;
	QImage final;
	QTimer *timer;
	double dcounter;
	STAGE	cstage;
	int		wcounter;

};



#endif // GAME_DIALOG_H
