/****************************************************************************
** Class for initialization, storing and quick retrieval of various game images.
**
**
** Copyright (C) 2001 Walter Rawdanik.  All rights reserved.
**
****************************************************************************/

#ifndef IMAGE_REPOSITORY_H
#define IMAGE_REPOSITORY_H

#include <qpixmap.h>
#include <qimage.h>
#include <qdict.h>


class ImageRepository
{ 

public:


    ImageRepository();
    ~ImageRepository();

	void init(int sw, int sh);

    QImage* findImage(const QString& name);


private:

   enum I_TYPES 
   {
      NORMAL,
      HIGHLIGHT,
      RESIZE
   };
  
   void createHighlighted(QImage &img);

   QDict<QImage> images;

};

#endif // IMAGE_REPOSITORY_H


